Bug Hunting Session
Bug 111322 - Fill-in artifacts when rendering vector image at some zooming factors (all other VCL backends besides GTK3)
Summary: Fill-in artifacts when rendering vector image at some zooming factors (all ot...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.3.5.1 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Zoom-Issues
  Show dependency treegraph
 
Reported: 2017-08-03 22:56 UTC by sergio.callegari
Modified: 2019-09-02 09:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document (136.72 KB, application/vnd.oasis.opendocument.presentation)
2017-08-03 22:56 UTC, sergio.callegari
Details
Illustration of the issue (516.48 KB, image/png)
2017-08-03 22:57 UTC, sergio.callegari
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sergio.callegari 2017-08-03 22:56:44 UTC
Created attachment 135112 [details]
Test document

Seen in 5.3.5.1 and 5.4.0, but almost surely introduced much earlier.

Consider the test case in demo.odp. This contains a presentation with a single slide whose content is the logo of the University of Bologna in vector format (taken from wikipedia and converted into emf with inkscape).

At some zoom factors, the image gets corrupted with parts of it being filled in, as the screenshot shows.
Comment 1 sergio.callegari 2017-08-03 22:57:36 UTC
Created attachment 135113 [details]
Illustration of the issue
Comment 2 sergio.callegari 2017-08-03 23:01:51 UTC
The issue is problematic, because it is unclear whether it occurs only while editing drawings and presentations or it is possible even when /playing/ presentations.

Furthermore, it happens either with:

- EMF/WMF vector images
- SVG vector images
- native vector images

Hence, all vector image formats seem to be affected, apart from PDF in LibO 5.4 that has other issues (lack of background transparency).
Comment 3 sergio.callegari 2017-08-03 23:05:28 UTC
Disabling the anti-aliasing prevents the issue from occurring (but obviously the appearance is very much worsened).
Comment 4 Xisco Faulí 2017-08-04 07:56:12 UTC
I can't reproduce it with anti-aliasing on

Version: 6.0.0.0.alpha0+
Build ID: 3f16306964d5bb81dda3c681bcabbacadf424e7b
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Could you please paste the info from Help - About LibreOffice?

OTOH, to be certain the reported issue is not related to corruption in the user profile, could you please reset your Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the issue is still present
Comment 5 sergio.callegari 2017-08-04 15:42:43 UTC
Version: 5.4.0.3
Build ID: 92c2794a7c181ba4c1c5053618179937228ed1fb
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: it-IT (en_US.utf8); Calc: single

Wonder if the issue can be related to the specific graphics processor. Working on intel haswell mobile, and latest intel stack and mesa from git (oibaf ppa on kubuntu).

Please make sure you repeatedly try all zoom factors pressing the + and - buttons many times until you have a huge or very small image: the fill-ins are totally erratic.
Comment 6 sergio.callegari 2017-08-04 15:44:25 UTC
I tend to see the misrendering more often at zoom factors > 1000 or < 10. However, in other cases and with other images I have seen them even at much more common zoom factors.
Comment 7 sergio.callegari 2017-08-04 21:56:51 UTC
Incidentally, the bug is also occasionally evident in the slide thumbnails in the slide sorter on the left.
Comment 8 Buovjaga 2017-08-26 16:22:57 UTC
I zoomed in and at 390% it already showed a block and with the next step, 440%, it was massively blocked out.

No repro with GTK3, but does repro with all other backends.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 3c49b28ffa7ab062726e5e600312d9164224404e
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 26th 2017
Comment 9 QA Administrators 2018-08-27 02:35:56 UTC Comment hidden (obsolete)
Comment 10 sergio.callegari 2018-08-27 15:23:31 UTC
Issue is still present as of LibO 6.1.0 - kde integration
Comment 11 QA Administrators 2019-09-02 09:25:25 UTC
Dear sergio.callegari,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug